#include "net_drizzle.h"

STATIC void setup_constants() {
    HV* stash = gv_stashpvn("Net::Drizzle", strlen("Net::Drizzle"), TRUE);
    newCONSTSUB(stash, "DRIZZLE_DEFAULT_TCP_HOST", newSVpv(DRIZZLE_DEFAULT_TCP_HOST, strlen(DRIZZLE_DEFAULT_TCP_HOST)));
    newCONSTSUB(stash, "DRIZZLE_DEFAULT_TCP_PORT", newSViv(DRIZZLE_DEFAULT_TCP_PORT));
    newCONSTSUB(stash, "DRIZZLE_DEFAULT_TCP_PORT_MYSQL", newSViv(DRIZZLE_DEFAULT_TCP_PORT_MYSQL));
    newCONSTSUB(stash, "DRIZZLE_DEFAULT_UDS", newSVpv(DRIZZLE_DEFAULT_UDS, strlen(DRIZZLE_DEFAULT_UDS))); 
    newCONSTSUB(stash, "DRIZZLE_DEFAULT_USER", newSVpv(DRIZZLE_DEFAULT_USER, strlen(DRIZZLE_DEFAULT_USER)));
    newCONSTSUB(stash, "DRIZZLE_MAX_ERROR_SIZE", newSViv(DRIZZLE_MAX_ERROR_SIZE));
    newCONSTSUB(stash, "DRIZZLE_MAX_USER_SIZE", newSViv(DRIZZLE_MAX_USER_SIZE));
    newCONSTSUB(stash, "DRIZZLE_MAX_PASSWORD_SIZE", newSViv(DRIZZLE_MAX_PASSWORD_SIZE));
    newCONSTSUB(stash, "DRIZZLE_MAX_DB_SIZE", newSViv(DRIZZLE_MAX_DB_SIZE));
    newCONSTSUB(stash, "DRIZZLE_MAX_INFO_SIZE", newSViv(DRIZZLE_MAX_INFO_SIZE));
    newCONSTSUB(stash, "DRIZZLE_MAX_SQLSTATE_SIZE", newSViv(DRIZZLE_MAX_SQLSTATE_SIZE));
    newCONSTSUB(stash, "DRIZZLE_MAX_CATALOG_SIZE", newSViv(DRIZZLE_MAX_CATALOG_SIZE));
    newCONSTSUB(stash, "DRIZZLE_MAX_TABLE_SIZE", newSViv(DRIZZLE_MAX_TABLE_SIZE));
    newCONSTSUB(stash, "DRIZZLE_MAX_COLUMN_NAME_SIZE", newSViv(DRIZZLE_MAX_COLUMN_NAME_SIZE));
    newCONSTSUB(stash, "DRIZZLE_MAX_DEFAULT_VALUE_SIZE", newSViv(DRIZZLE_MAX_DEFAULT_VALUE_SIZE));
    newCONSTSUB(stash, "DRIZZLE_MAX_PACKET_SIZE", newSViv(DRIZZLE_MAX_PACKET_SIZE));
    newCONSTSUB(stash, "DRIZZLE_MAX_BUFFER_SIZE", newSViv(DRIZZLE_MAX_BUFFER_SIZE));
    newCONSTSUB(stash, "DRIZZLE_BUFFER_COPY_THRESHOLD", newSViv(DRIZZLE_BUFFER_COPY_THRESHOLD));
    newCONSTSUB(stash, "DRIZZLE_MAX_SERVER_VERSION_SIZE", newSViv(DRIZZLE_MAX_SERVER_VERSION_SIZE));
    newCONSTSUB(stash, "DRIZZLE_MAX_SCRAMBLE_SIZE", newSViv(DRIZZLE_MAX_SCRAMBLE_SIZE));
    newCONSTSUB(stash, "DRIZZLE_STATE_STACK_SIZE", newSViv(DRIZZLE_STATE_STACK_SIZE));
    newCONSTSUB(stash, "DRIZZLE_ROW_GROW_SIZE", newSViv(DRIZZLE_ROW_GROW_SIZE));
    newCONSTSUB(stash, "DRIZZLE_DEFAULT_SOCKET_TIMEOUT", newSViv(DRIZZLE_DEFAULT_SOCKET_TIMEOUT));
    newCONSTSUB(stash, "DRIZZLE_DEFAULT_SOCKET_SEND_SIZE", newSViv(DRIZZLE_DEFAULT_SOCKET_SEND_SIZE));
    newCONSTSUB(stash, "DRIZZLE_DEFAULT_SOCKET_RECV_SIZE", newSViv(DRIZZLE_DEFAULT_SOCKET_RECV_SIZE));
    newCONSTSUB(stash, "DRIZZLE_RETURN_OK", newSViv(DRIZZLE_RETURN_OK));
    newCONSTSUB(stash, "DRIZZLE_RETURN_IO_WAIT", newSViv(DRIZZLE_RETURN_IO_WAIT));
    newCONSTSUB(stash, "DRIZZLE_RETURN_PAUSE", newSViv(DRIZZLE_RETURN_PAUSE));
    newCONSTSUB(stash, "DRIZZLE_RETURN_ROW_BREAK", newSViv(DRIZZLE_RETURN_ROW_BREAK));
    newCONSTSUB(stash, "DRIZZLE_RETURN_MEMORY", newSViv(DRIZZLE_RETURN_MEMORY));
    newCONSTSUB(stash, "DRIZZLE_RETURN_ERRNO", newSViv(DRIZZLE_RETURN_ERRNO));
    newCONSTSUB(stash, "DRIZZLE_RETURN_INTERNAL_ERROR", newSViv(DRIZZLE_RETURN_INTERNAL_ERROR));
    newCONSTSUB(stash, "DRIZZLE_RETURN_GETADDRINFO", newSViv(DRIZZLE_RETURN_GETADDRINFO));
    newCONSTSUB(stash, "DRIZZLE_RETURN_NOT_READY", newSViv(DRIZZLE_RETURN_NOT_READY));
    newCONSTSUB(stash, "DRIZZLE_RETURN_BAD_PACKET_NUMBER", newSViv(DRIZZLE_RETURN_BAD_PACKET_NUMBER));
    newCONSTSUB(stash, "DRIZZLE_RETURN_BAD_HANDSHAKE_PACKET", newSViv(DRIZZLE_RETURN_BAD_HANDSHAKE_PACKET));
    newCONSTSUB(stash, "DRIZZLE_RETURN_BAD_PACKET", newSViv(DRIZZLE_RETURN_BAD_PACKET));
    newCONSTSUB(stash, "DRIZZLE_RETURN_PROTOCOL_NOT_SUPPORTED", newSViv(DRIZZLE_RETURN_PROTOCOL_NOT_SUPPORTED));
    newCONSTSUB(stash, "DRIZZLE_RETURN_UNEXPECTED_DATA", newSViv(DRIZZLE_RETURN_UNEXPECTED_DATA));
    newCONSTSUB(stash, "DRIZZLE_RETURN_NO_SCRAMBLE", newSViv(DRIZZLE_RETURN_NO_SCRAMBLE));
    newCONSTSUB(stash, "DRIZZLE_RETURN_AUTH_FAILED", newSViv(DRIZZLE_RETURN_AUTH_FAILED));
    newCONSTSUB(stash, "DRIZZLE_RETURN_NULL_SIZE", newSViv(DRIZZLE_RETURN_NULL_SIZE));
    newCONSTSUB(stash, "DRIZZLE_RETURN_ERROR_CODE", newSViv(DRIZZLE_RETURN_ERROR_CODE));
    newCONSTSUB(stash, "DRIZZLE_RETURN_TOO_MANY_COLUMNS", newSViv(DRIZZLE_RETURN_TOO_MANY_COLUMNS));
    newCONSTSUB(stash, "DRIZZLE_RETURN_ROW_END", newSViv(DRIZZLE_RETURN_ROW_END));
    newCONSTSUB(stash, "DRIZZLE_RETURN_LOST_CONNECTION", newSViv(DRIZZLE_RETURN_LOST_CONNECTION));
    newCONSTSUB(stash, "DRIZZLE_RETURN_COULD_NOT_CONNECT", newSViv(DRIZZLE_RETURN_COULD_NOT_CONNECT));
    newCONSTSUB(stash, "DRIZZLE_RETURN_NO_ACTIVE_CONNECTIONS", newSViv(DRIZZLE_RETURN_NO_ACTIVE_CONNECTIONS));
    newCONSTSUB(stash, "DRIZZLE_RETURN_HANDSHAKE_FAILED", newSViv(DRIZZLE_RETURN_HANDSHAKE_FAILED));
    newCONSTSUB(stash, "DRIZZLE_RETURN_MAX", newSViv(DRIZZLE_RETURN_MAX));
    newCONSTSUB(stash, "DRIZZLE_RETURN_SERVER_GONE", newSViv(DRIZZLE_RETURN_SERVER_GONE));
    newCONSTSUB(stash, "DRIZZLE_RETURN_SERVER_GONE", newSViv(DRIZZLE_RETURN_SERVER_GONE));
    newCONSTSUB(stash, "DRIZZLE_RETURN_LOST_CONNECTION", newSViv(DRIZZLE_RETURN_LOST_CONNECTION));
    newCONSTSUB(stash, "DRIZZLE_RETURN_EOF", newSViv(DRIZZLE_RETURN_EOF));
    newCONSTSUB(stash, "DRIZZLE_RETURN_LOST_CONNECTION", newSViv(DRIZZLE_RETURN_LOST_CONNECTION));
    newCONSTSUB(stash, "DRIZZLE_NONE", newSViv(DRIZZLE_NONE));
    newCONSTSUB(stash, "DRIZZLE_ALLOCATED", newSViv(DRIZZLE_ALLOCATED));
    newCONSTSUB(stash, "DRIZZLE_NON_BLOCKING", newSViv(DRIZZLE_NON_BLOCKING));
    newCONSTSUB(stash, "DRIZZLE_AUTO_ALLOCATED", newSViv(DRIZZLE_AUTO_ALLOCATED));
    newCONSTSUB(stash, "DRIZZLE_CON_NONE", newSViv(DRIZZLE_CON_NONE));
    newCONSTSUB(stash, "DRIZZLE_CON_ALLOCATED", newSViv(DRIZZLE_CON_ALLOCATED));
    newCONSTSUB(stash, "DRIZZLE_CON_MYSQL", newSViv(DRIZZLE_CON_MYSQL));
    newCONSTSUB(stash, "DRIZZLE_CON_RAW_PACKET", newSViv(DRIZZLE_CON_RAW_PACKET));
    newCONSTSUB(stash, "DRIZZLE_CON_RAW_SCRAMBLE", newSViv(DRIZZLE_CON_RAW_SCRAMBLE));
    newCONSTSUB(stash, "DRIZZLE_CON_READY", newSViv(DRIZZLE_CON_READY));
    newCONSTSUB(stash, "DRIZZLE_CON_NO_RESULT_READ", newSViv(DRIZZLE_CON_NO_RESULT_READ));
    newCONSTSUB(stash, "DRIZZLE_CON_IO_READY", newSViv(DRIZZLE_CON_IO_READY));
    newCONSTSUB(stash, "DRIZZLE_CON_STATUS_NONE", newSViv(DRIZZLE_CON_STATUS_NONE));
    newCONSTSUB(stash, "DRIZZLE_CON_STATUS_IN_TRANS", newSViv(DRIZZLE_CON_STATUS_IN_TRANS));
    newCONSTSUB(stash, "DRIZZLE_CON_STATUS_AUTOCOMMIT", newSViv(DRIZZLE_CON_STATUS_AUTOCOMMIT));
    newCONSTSUB(stash, "DRIZZLE_CON_STATUS_MORE_RESULTS_EXISTS", newSViv(DRIZZLE_CON_STATUS_MORE_RESULTS_EXISTS));
    newCONSTSUB(stash, "DRIZZLE_CON_STATUS_QUERY_NO_GOOD_INDEX_USED", newSViv(DRIZZLE_CON_STATUS_QUERY_NO_GOOD_INDEX_USED));
    newCONSTSUB(stash, "DRIZZLE_CON_STATUS_QUERY_NO_INDEX_USED", newSViv(DRIZZLE_CON_STATUS_QUERY_NO_INDEX_USED));
    newCONSTSUB(stash, "DRIZZLE_CON_STATUS_CURSOR_EXISTS", newSViv(DRIZZLE_CON_STATUS_CURSOR_EXISTS));
    newCONSTSUB(stash, "DRIZZLE_CON_STATUS_LAST_ROW_SENT", newSViv(DRIZZLE_CON_STATUS_LAST_ROW_SENT));
    newCONSTSUB(stash, "DRIZZLE_CON_STATUS_DB_DROPPED", newSViv(DRIZZLE_CON_STATUS_DB_DROPPED));
    newCONSTSUB(stash, "DRIZZLE_CON_STATUS_NO_BACKSLASH_ESCAPES", newSViv(DRIZZLE_CON_STATUS_NO_BACKSLASH_ESCAPES));
    newCONSTSUB(stash, "DRIZZLE_CON_STATUS_QUERY_WAS_SLOW", newSViv(DRIZZLE_CON_STATUS_QUERY_WAS_SLOW));
    newCONSTSUB(stash, "DRIZZLE_CAPABILITIES_NONE", newSViv(DRIZZLE_CAPABILITIES_NONE));
    newCONSTSUB(stash, "DRIZZLE_CAPABILITIES_LONG_PASSWORD", newSViv(DRIZZLE_CAPABILITIES_LONG_PASSWORD));
    newCONSTSUB(stash, "DRIZZLE_CAPABILITIES_FOUND_ROWS", newSViv(DRIZZLE_CAPABILITIES_FOUND_ROWS));
    newCONSTSUB(stash, "DRIZZLE_CAPABILITIES_LONG_FLAG", newSViv(DRIZZLE_CAPABILITIES_LONG_FLAG));
    newCONSTSUB(stash, "DRIZZLE_CAPABILITIES_CONNECT_WITH_DB", newSViv(DRIZZLE_CAPABILITIES_CONNECT_WITH_DB));
    newCONSTSUB(stash, "DRIZZLE_CAPABILITIES_NO_SCHEMA", newSViv(DRIZZLE_CAPABILITIES_NO_SCHEMA));
    newCONSTSUB(stash, "DRIZZLE_CAPABILITIES_COMPRESS", newSViv(DRIZZLE_CAPABILITIES_COMPRESS));
    newCONSTSUB(stash, "DRIZZLE_CAPABILITIES_ODBC", newSViv(DRIZZLE_CAPABILITIES_ODBC));
    newCONSTSUB(stash, "DRIZZLE_CAPABILITIES_LOCAL_FILES", newSViv(DRIZZLE_CAPABILITIES_LOCAL_FILES));
    newCONSTSUB(stash, "DRIZZLE_CAPABILITIES_IGNORE_SPACE", newSViv(DRIZZLE_CAPABILITIES_IGNORE_SPACE));
    newCONSTSUB(stash, "DRIZZLE_CAPABILITIES_PROTOCOL_41", newSViv(DRIZZLE_CAPABILITIES_PROTOCOL_41));
    newCONSTSUB(stash, "DRIZZLE_CAPABILITIES_INTERACTIVE", newSViv(DRIZZLE_CAPABILITIES_INTERACTIVE));
    newCONSTSUB(stash, "DRIZZLE_CAPABILITIES_SSL", newSViv(DRIZZLE_CAPABILITIES_SSL));
    newCONSTSUB(stash, "DRIZZLE_CAPABILITIES_IGNORE_SIGPIPE", newSViv(DRIZZLE_CAPABILITIES_IGNORE_SIGPIPE));
    newCONSTSUB(stash, "DRIZZLE_CAPABILITIES_TRANSACTIONS", newSViv(DRIZZLE_CAPABILITIES_TRANSACTIONS));
    newCONSTSUB(stash, "DRIZZLE_CAPABILITIES_RESERVED", newSViv(DRIZZLE_CAPABILITIES_RESERVED));
    newCONSTSUB(stash, "DRIZZLE_CAPABILITIES_SECURE_CONNECTION", newSViv(DRIZZLE_CAPABILITIES_SECURE_CONNECTION));
    newCONSTSUB(stash, "DRIZZLE_CAPABILITIES_MULTI_STATEMENTS", newSViv(DRIZZLE_CAPABILITIES_MULTI_STATEMENTS));
    newCONSTSUB(stash, "DRIZZLE_CAPABILITIES_MULTI_RESULTS", newSViv(DRIZZLE_CAPABILITIES_MULTI_RESULTS));
    newCONSTSUB(stash, "DRIZZLE_CAPABILITIES_SSL_VERIFY_SERVER_CERT", newSViv(DRIZZLE_CAPABILITIES_SSL_VERIFY_SERVER_CERT));
    newCONSTSUB(stash, "DRIZZLE_CAPABILITIES_REMEMBER_OPTIONS", newSViv(DRIZZLE_CAPABILITIES_REMEMBER_OPTIONS));
    newCONSTSUB(stash, "DRIZZLE_CAPABILITIES_CLIENT", newSViv(DRIZZLE_CAPABILITIES_CLIENT));
    newCONSTSUB(stash, "DRIZZLE_CAPABILITIES_LONG_PASSWORD", newSViv(DRIZZLE_CAPABILITIES_LONG_PASSWORD));
    newCONSTSUB(stash, "DRIZZLE_CAPABILITIES_LONG_FLAG", newSViv(DRIZZLE_CAPABILITIES_LONG_FLAG));
    newCONSTSUB(stash, "DRIZZLE_CAPABILITIES_CONNECT_WITH_DB", newSViv(DRIZZLE_CAPABILITIES_CONNECT_WITH_DB));
    newCONSTSUB(stash, "DRIZZLE_CAPABILITIES_TRANSACTIONS", newSViv(DRIZZLE_CAPABILITIES_TRANSACTIONS));
    newCONSTSUB(stash, "DRIZZLE_CAPABILITIES_PROTOCOL_41", newSViv(DRIZZLE_CAPABILITIES_PROTOCOL_41));
    newCONSTSUB(stash, "DRIZZLE_CAPABILITIES_SECURE_CONNECTION", newSViv(DRIZZLE_CAPABILITIES_SECURE_CONNECTION));
    newCONSTSUB(stash, "DRIZZLE_COMMAND_SLEEP", newSViv(DRIZZLE_COMMAND_SLEEP));
    newCONSTSUB(stash, "DRIZZLE_COMMAND_QUIT", newSViv(DRIZZLE_COMMAND_QUIT));
    newCONSTSUB(stash, "DRIZZLE_COMMAND_INIT_DB", newSViv(DRIZZLE_COMMAND_INIT_DB));
    newCONSTSUB(stash, "DRIZZLE_COMMAND_QUERY", newSViv(DRIZZLE_COMMAND_QUERY));
    newCONSTSUB(stash, "DRIZZLE_COMMAND_FIELD_LIST", newSViv(DRIZZLE_COMMAND_FIELD_LIST));
    newCONSTSUB(stash, "DRIZZLE_COMMAND_CREATE_DB", newSViv(DRIZZLE_COMMAND_CREATE_DB));
    newCONSTSUB(stash, "DRIZZLE_COMMAND_DROP_DB", newSViv(DRIZZLE_COMMAND_DROP_DB));
    newCONSTSUB(stash, "DRIZZLE_COMMAND_REFRESH", newSViv(DRIZZLE_COMMAND_REFRESH));
    newCONSTSUB(stash, "DRIZZLE_COMMAND_SHUTDOWN", newSViv(DRIZZLE_COMMAND_SHUTDOWN));
    newCONSTSUB(stash, "DRIZZLE_COMMAND_STATISTICS", newSViv(DRIZZLE_COMMAND_STATISTICS));
    newCONSTSUB(stash, "DRIZZLE_COMMAND_PROCESS_INFO", newSViv(DRIZZLE_COMMAND_PROCESS_INFO));
    newCONSTSUB(stash, "DRIZZLE_COMMAND_CONNECT", newSViv(DRIZZLE_COMMAND_CONNECT));
    newCONSTSUB(stash, "DRIZZLE_COMMAND_PROCESS_KILL", newSViv(DRIZZLE_COMMAND_PROCESS_KILL));
    newCONSTSUB(stash, "DRIZZLE_COMMAND_DEBUG", newSViv(DRIZZLE_COMMAND_DEBUG));
    newCONSTSUB(stash, "DRIZZLE_COMMAND_PING", newSViv(DRIZZLE_COMMAND_PING));
    newCONSTSUB(stash, "DRIZZLE_COMMAND_TIME", newSViv(DRIZZLE_COMMAND_TIME));
    newCONSTSUB(stash, "DRIZZLE_COMMAND_DELAYED_INSERT", newSViv(DRIZZLE_COMMAND_DELAYED_INSERT));
    newCONSTSUB(stash, "DRIZZLE_COMMAND_CHANGE_USER", newSViv(DRIZZLE_COMMAND_CHANGE_USER));
    newCONSTSUB(stash, "DRIZZLE_COMMAND_BINLOG_DUMP", newSViv(DRIZZLE_COMMAND_BINLOG_DUMP));
    newCONSTSUB(stash, "DRIZZLE_COMMAND_TABLE_DUMP", newSViv(DRIZZLE_COMMAND_TABLE_DUMP));
    newCONSTSUB(stash, "DRIZZLE_COMMAND_CONNECT_OUT", newSViv(DRIZZLE_COMMAND_CONNECT_OUT));
    newCONSTSUB(stash, "DRIZZLE_COMMAND_REGISTER_SLAVE", newSViv(DRIZZLE_COMMAND_REGISTER_SLAVE));
    newCONSTSUB(stash, "DRIZZLE_COMMAND_STMT_PREPARE", newSViv(DRIZZLE_COMMAND_STMT_PREPARE));
    newCONSTSUB(stash, "DRIZZLE_COMMAND_STMT_EXECUTE", newSViv(DRIZZLE_COMMAND_STMT_EXECUTE));
    newCONSTSUB(stash, "DRIZZLE_COMMAND_STMT_SEND_LONG_DATA", newSViv(DRIZZLE_COMMAND_STMT_SEND_LONG_DATA));
    newCONSTSUB(stash, "DRIZZLE_COMMAND_STMT_CLOSE", newSViv(DRIZZLE_COMMAND_STMT_CLOSE));
    newCONSTSUB(stash, "DRIZZLE_COMMAND_STMT_RESET", newSViv(DRIZZLE_COMMAND_STMT_RESET));
    newCONSTSUB(stash, "DRIZZLE_COMMAND_SET_OPTION", newSViv(DRIZZLE_COMMAND_SET_OPTION));
    newCONSTSUB(stash, "DRIZZLE_COMMAND_STMT_FETCH", newSViv(DRIZZLE_COMMAND_STMT_FETCH));
    newCONSTSUB(stash, "DRIZZLE_COMMAND_DAEMON", newSViv(DRIZZLE_COMMAND_DAEMON));
    newCONSTSUB(stash, "DRIZZLE_COMMAND_END", newSViv(DRIZZLE_COMMAND_END));
    newCONSTSUB(stash, "DRIZZLE_COMMAND_DRIZZLE_SLEEP", newSViv(DRIZZLE_COMMAND_DRIZZLE_SLEEP));
    newCONSTSUB(stash, "DRIZZLE_COMMAND_DRIZZLE_QUIT", newSViv(DRIZZLE_COMMAND_DRIZZLE_QUIT));
    newCONSTSUB(stash, "DRIZZLE_COMMAND_DRIZZLE_INIT_DB", newSViv(DRIZZLE_COMMAND_DRIZZLE_INIT_DB));
    newCONSTSUB(stash, "DRIZZLE_COMMAND_DRIZZLE_QUERY", newSViv(DRIZZLE_COMMAND_DRIZZLE_QUERY));
    newCONSTSUB(stash, "DRIZZLE_COMMAND_DRIZZLE_SHUTDOWN", newSViv(DRIZZLE_COMMAND_DRIZZLE_SHUTDOWN));
    newCONSTSUB(stash, "DRIZZLE_COMMAND_DRIZZLE_CONNECT", newSViv(DRIZZLE_COMMAND_DRIZZLE_CONNECT));
    newCONSTSUB(stash, "DRIZZLE_COMMAND_DRIZZLE_PING", newSViv(DRIZZLE_COMMAND_DRIZZLE_PING));
    newCONSTSUB(stash, "DRIZZLE_COMMAND_DRIZZLE_END", newSViv(DRIZZLE_COMMAND_DRIZZLE_END));
    newCONSTSUB(stash, "DRIZZLE_REFRESH_GRANT", newSViv(DRIZZLE_REFRESH_GRANT));
    newCONSTSUB(stash, "DRIZZLE_REFRESH_LOG", newSViv(DRIZZLE_REFRESH_LOG));
    newCONSTSUB(stash, "DRIZZLE_REFRESH_TABLES", newSViv(DRIZZLE_REFRESH_TABLES));
    newCONSTSUB(stash, "DRIZZLE_REFRESH_HOSTS", newSViv(DRIZZLE_REFRESH_HOSTS));
    newCONSTSUB(stash, "DRIZZLE_REFRESH_STATUS", newSViv(DRIZZLE_REFRESH_STATUS));
    newCONSTSUB(stash, "DRIZZLE_REFRESH_THREADS", newSViv(DRIZZLE_REFRESH_THREADS));
    newCONSTSUB(stash, "DRIZZLE_REFRESH_SLAVE", newSViv(DRIZZLE_REFRESH_SLAVE));
    newCONSTSUB(stash, "DRIZZLE_REFRESH_MASTER", newSViv(DRIZZLE_REFRESH_MASTER));
    newCONSTSUB(stash, "DRIZZLE_SHUTDOWN_DEFAULT", newSViv(DRIZZLE_SHUTDOWN_DEFAULT));
    newCONSTSUB(stash, "DRIZZLE_SHUTDOWN_WAIT_CONNECTIONS", newSViv(DRIZZLE_SHUTDOWN_WAIT_CONNECTIONS));
    newCONSTSUB(stash, "DRIZZLE_SHUTDOWN_WAIT_TRANSACTIONS", newSViv(DRIZZLE_SHUTDOWN_WAIT_TRANSACTIONS));
    newCONSTSUB(stash, "DRIZZLE_SHUTDOWN_WAIT_UPDATES", newSViv(DRIZZLE_SHUTDOWN_WAIT_UPDATES));
    newCONSTSUB(stash, "DRIZZLE_SHUTDOWN_WAIT_ALL_BUFFERS", newSViv(DRIZZLE_SHUTDOWN_WAIT_ALL_BUFFERS));
    newCONSTSUB(stash, "DRIZZLE_SHUTDOWN_WAIT_CRITICAL_BUFFERS", newSViv(DRIZZLE_SHUTDOWN_WAIT_CRITICAL_BUFFERS));
    newCONSTSUB(stash, "DRIZZLE_SHUTDOWN_KILL_QUERY", newSViv(DRIZZLE_SHUTDOWN_KILL_QUERY));
    newCONSTSUB(stash, "DRIZZLE_SHUTDOWN_KILL_CONNECTION", newSViv(DRIZZLE_SHUTDOWN_KILL_CONNECTION));
    newCONSTSUB(stash, "DRIZZLE_QUERY_ALLOCATED", newSViv(DRIZZLE_QUERY_ALLOCATED));
    newCONSTSUB(stash, "DRIZZLE_QUERY_STATE_INIT", newSViv(DRIZZLE_QUERY_STATE_INIT));
    newCONSTSUB(stash, "DRIZZLE_QUERY_STATE_QUERY", newSViv(DRIZZLE_QUERY_STATE_QUERY));
    newCONSTSUB(stash, "DRIZZLE_QUERY_STATE_RESULT", newSViv(DRIZZLE_QUERY_STATE_RESULT));
    newCONSTSUB(stash, "DRIZZLE_QUERY_STATE_DONE", newSViv(DRIZZLE_QUERY_STATE_DONE));
    newCONSTSUB(stash, "DRIZZLE_RESULT_NONE", newSViv(DRIZZLE_RESULT_NONE));
    newCONSTSUB(stash, "DRIZZLE_RESULT_ALLOCATED", newSViv(DRIZZLE_RESULT_ALLOCATED));
    newCONSTSUB(stash, "DRIZZLE_RESULT_SKIP_COLUMN", newSViv(DRIZZLE_RESULT_SKIP_COLUMN));
    newCONSTSUB(stash, "DRIZZLE_RESULT_BUFFER_COLUMN", newSViv(DRIZZLE_RESULT_BUFFER_COLUMN));
    newCONSTSUB(stash, "DRIZZLE_RESULT_BUFFER_ROW", newSViv(DRIZZLE_RESULT_BUFFER_ROW));
    newCONSTSUB(stash, "DRIZZLE_RESULT_EOF_PACKET", newSViv(DRIZZLE_RESULT_EOF_PACKET));
    newCONSTSUB(stash, "DRIZZLE_RESULT_ROW_BREAK", newSViv(DRIZZLE_RESULT_ROW_BREAK));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_ALLOCATED", newSViv(DRIZZLE_COLUMN_ALLOCATED));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_TYPE_DECIMAL", newSViv(DRIZZLE_COLUMN_TYPE_DECIMAL));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_TYPE_TINY", newSViv(DRIZZLE_COLUMN_TYPE_TINY));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_TYPE_SHORT", newSViv(DRIZZLE_COLUMN_TYPE_SHORT));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_TYPE_LONG", newSViv(DRIZZLE_COLUMN_TYPE_LONG));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_TYPE_FLOAT", newSViv(DRIZZLE_COLUMN_TYPE_FLOAT));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_TYPE_DOUBLE", newSViv(DRIZZLE_COLUMN_TYPE_DOUBLE));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_TYPE_NULL", newSViv(DRIZZLE_COLUMN_TYPE_NULL));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_TYPE_TIMESTAMP", newSViv(DRIZZLE_COLUMN_TYPE_TIMESTAMP));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_TYPE_LONGLONG", newSViv(DRIZZLE_COLUMN_TYPE_LONGLONG));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_TYPE_INT24", newSViv(DRIZZLE_COLUMN_TYPE_INT24));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_TYPE_DATE", newSViv(DRIZZLE_COLUMN_TYPE_DATE));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_TYPE_TIME", newSViv(DRIZZLE_COLUMN_TYPE_TIME));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_TYPE_DATETIME", newSViv(DRIZZLE_COLUMN_TYPE_DATETIME));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_TYPE_YEAR", newSViv(DRIZZLE_COLUMN_TYPE_YEAR));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_TYPE_NEWDATE", newSViv(DRIZZLE_COLUMN_TYPE_NEWDATE));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_TYPE_VARCHAR", newSViv(DRIZZLE_COLUMN_TYPE_VARCHAR));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_TYPE_BIT", newSViv(DRIZZLE_COLUMN_TYPE_BIT));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_TYPE_VIRTUAL", newSViv(DRIZZLE_COLUMN_TYPE_VIRTUAL));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_TYPE_NEWDECIMAL", newSViv(DRIZZLE_COLUMN_TYPE_NEWDECIMAL));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_TYPE_ENUM", newSViv(DRIZZLE_COLUMN_TYPE_ENUM));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_TYPE_SET", newSViv(DRIZZLE_COLUMN_TYPE_SET));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_TYPE_TINY_BLOB", newSViv(DRIZZLE_COLUMN_TYPE_TINY_BLOB));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_TYPE_MEDIUM_BLOB", newSViv(DRIZZLE_COLUMN_TYPE_MEDIUM_BLOB));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_TYPE_LONG_BLOB", newSViv(DRIZZLE_COLUMN_TYPE_LONG_BLOB));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_TYPE_BLOB", newSViv(DRIZZLE_COLUMN_TYPE_BLOB));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_TYPE_VAR_STRING", newSViv(DRIZZLE_COLUMN_TYPE_VAR_STRING));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_TYPE_STRING", newSViv(DRIZZLE_COLUMN_TYPE_STRING));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_TYPE_GEOMETRY", newSViv(DRIZZLE_COLUMN_TYPE_GEOMETRY));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_TYPE_DRIZZLE_TINY", newSViv(DRIZZLE_COLUMN_TYPE_DRIZZLE_TINY));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_TYPE_DRIZZLE_LONG", newSViv(DRIZZLE_COLUMN_TYPE_DRIZZLE_LONG));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_TYPE_DRIZZLE_DOUBLE", newSViv(DRIZZLE_COLUMN_TYPE_DRIZZLE_DOUBLE));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_TYPE_DRIZZLE_NULL", newSViv(DRIZZLE_COLUMN_TYPE_DRIZZLE_NULL));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_TYPE_DRIZZLE_TIMESTAMP", newSViv(DRIZZLE_COLUMN_TYPE_DRIZZLE_TIMESTAMP));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_TYPE_DRIZZLE_LONGLONG", newSViv(DRIZZLE_COLUMN_TYPE_DRIZZLE_LONGLONG));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_TYPE_DRIZZLE_DATETIME", newSViv(DRIZZLE_COLUMN_TYPE_DRIZZLE_DATETIME));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_TYPE_DRIZZLE_DATE", newSViv(DRIZZLE_COLUMN_TYPE_DRIZZLE_DATE));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_TYPE_DRIZZLE_VARCHAR", newSViv(DRIZZLE_COLUMN_TYPE_DRIZZLE_VARCHAR));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_TYPE_DRIZZLE_NEWDECIMAL", newSViv(DRIZZLE_COLUMN_TYPE_DRIZZLE_NEWDECIMAL));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_TYPE_DRIZZLE_ENUM", newSViv(DRIZZLE_COLUMN_TYPE_DRIZZLE_ENUM));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_TYPE_DRIZZLE_BLOB", newSViv(DRIZZLE_COLUMN_TYPE_DRIZZLE_BLOB));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_TYPE_DRIZZLE_MAX", newSViv(DRIZZLE_COLUMN_TYPE_DRIZZLE_MAX));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_TYPE_DRIZZLE_BLOB", newSViv(DRIZZLE_COLUMN_TYPE_DRIZZLE_BLOB));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_FLAGS_NONE", newSViv(DRIZZLE_COLUMN_FLAGS_NONE));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_FLAGS_NOT_NULL", newSViv(DRIZZLE_COLUMN_FLAGS_NOT_NULL));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_FLAGS_PRI_KEY", newSViv(DRIZZLE_COLUMN_FLAGS_PRI_KEY));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_FLAGS_UNIQUE_KEY", newSViv(DRIZZLE_COLUMN_FLAGS_UNIQUE_KEY));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_FLAGS_MULTIPLE_KEY", newSViv(DRIZZLE_COLUMN_FLAGS_MULTIPLE_KEY));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_FLAGS_BLOB", newSViv(DRIZZLE_COLUMN_FLAGS_BLOB));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_FLAGS_UNSIGNED", newSViv(DRIZZLE_COLUMN_FLAGS_UNSIGNED));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_FLAGS_ZEROFILL", newSViv(DRIZZLE_COLUMN_FLAGS_ZEROFILL));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_FLAGS_BINARY", newSViv(DRIZZLE_COLUMN_FLAGS_BINARY));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_FLAGS_ENUM", newSViv(DRIZZLE_COLUMN_FLAGS_ENUM));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_FLAGS_AUTO_INCREMENT", newSViv(DRIZZLE_COLUMN_FLAGS_AUTO_INCREMENT));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_FLAGS_TIMESTAMP", newSViv(DRIZZLE_COLUMN_FLAGS_TIMESTAMP));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_FLAGS_SET", newSViv(DRIZZLE_COLUMN_FLAGS_SET));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_FLAGS_NO_DEFAULT_VALUE", newSViv(DRIZZLE_COLUMN_FLAGS_NO_DEFAULT_VALUE));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_FLAGS_ON_UPDATE_NOW", newSViv(DRIZZLE_COLUMN_FLAGS_ON_UPDATE_NOW));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_FLAGS_PART_KEY", newSViv(DRIZZLE_COLUMN_FLAGS_PART_KEY));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_FLAGS_NUM", newSViv(DRIZZLE_COLUMN_FLAGS_NUM));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_FLAGS_GROUP", newSViv(DRIZZLE_COLUMN_FLAGS_GROUP));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_FLAGS_UNIQUE", newSViv(DRIZZLE_COLUMN_FLAGS_UNIQUE));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_FLAGS_BINCMP", newSViv(DRIZZLE_COLUMN_FLAGS_BINCMP));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_FLAGS_GET_FIXED_FIELDS", newSViv(DRIZZLE_COLUMN_FLAGS_GET_FIXED_FIELDS));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_FLAGS_IN_PART_FUNC", newSViv(DRIZZLE_COLUMN_FLAGS_IN_PART_FUNC));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_FLAGS_IN_ADD_INDEX", newSViv(DRIZZLE_COLUMN_FLAGS_IN_ADD_INDEX));
    newCONSTSUB(stash, "DRIZZLE_COLUMN_FLAGS_RENAMED", newSViv(DRIZZLE_COLUMN_FLAGS_RENAMED));
}

